Package wx :: Module wizard :: Class WizardPage

[frames | no frames]

## Type WizardPage

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            WizardPage

Known Subclasses:
  `PyWizardPage`, `WizardPageSimple`

Proxy of C++ WizardPage class

Method Summary
| `__init__(self)`
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
Bitmap | `GetBitmap(self)`
WizardPage | `GetNext(self)`
WizardPage | `GetPrev(self)`

Property Summary
| `Bitmap`: See `GetBitmap`
| `Next`: See `GetNext`
| `Prev`: See `GetPrev`
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, bitmap=wxNullBitmap, resource=EmptyString)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Panel.Create` (inherited documentation)

Property Details

### Bitmap

See `GetBitmap`

  Get Method:
    `GetBitmap`(self)

### Next

See `GetNext`

  Get Method:
    `GetNext`(self)

### Prev

See `GetPrev`

  Get Method:
    `GetPrev`(self)

### thisown

The membership flag

  Get Method:
    unknown--1272768220(...)
  Set Method:
    unknown--1272768164(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:43 2007 | http://epydoc.sf.net